package sun.awt;

import java.util.HashSet;
import java.util.HashMap;

public class ExtendedKeyCodes
{
    private static final HashMap<Integer, Integer> regularKeyCodesMap;
    private static final HashSet<Integer> extendedKeyCodesSet;
    
    public ExtendedKeyCodes() {
    }
    
    public static final int getExtendedKeyCodeForChar(int n) {
        int upperCase = Character.toUpperCase(n);
        int lowerCase = Character.toLowerCase(n);
        if (ExtendedKeyCodes.regularKeyCodesMap.containsKey(Integer.valueOf(n))) {
            if (ExtendedKeyCodes.regularKeyCodesMap.containsKey(Integer.valueOf(upperCase))) {
                return (int)ExtendedKeyCodes.regularKeyCodesMap.get(Integer.valueOf(upperCase));
            }
            return (int)ExtendedKeyCodes.regularKeyCodesMap.get(Integer.valueOf(n));
        }
        else {
            int i = upperCase + 16777216;
            int j = lowerCase + 16777216;
            if (ExtendedKeyCodes.extendedKeyCodesSet.contains(Integer.valueOf(i))) {
                return i;
            }
            if (ExtendedKeyCodes.extendedKeyCodesSet.contains(Integer.valueOf(j))) {
                return j;
            }
            return 0;
        }
    }
    
    static {
        regularKeyCodesMap = new HashMap(98, 1.0f);
        extendedKeyCodesSet = new HashSet(501, 1.0f);
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(8), Integer.valueOf(8));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(9), Integer.valueOf(9));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(10), Integer.valueOf(10));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(27), Integer.valueOf(27));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(8364), Integer.valueOf(516));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(32), Integer.valueOf(32));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(33), Integer.valueOf(517));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(34), Integer.valueOf(152));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(35), Integer.valueOf(520));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(36), Integer.valueOf(515));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(38), Integer.valueOf(150));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(39), Integer.valueOf(222));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(40), Integer.valueOf(519));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(41), Integer.valueOf(522));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(42), Integer.valueOf(151));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(43), Integer.valueOf(521));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(44), Integer.valueOf(44));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(45), Integer.valueOf(45));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(46), Integer.valueOf(46));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(47), Integer.valueOf(47));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(48), Integer.valueOf(48));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(49), Integer.valueOf(49));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(50), Integer.valueOf(50));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(51), Integer.valueOf(51));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(52), Integer.valueOf(52));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(53), Integer.valueOf(53));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(54), Integer.valueOf(54));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(55), Integer.valueOf(55));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(56), Integer.valueOf(56));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(57), Integer.valueOf(57));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(58), Integer.valueOf(513));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(59), Integer.valueOf(59));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(60), Integer.valueOf(153));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(61), Integer.valueOf(61));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(62), Integer.valueOf(160));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(64), Integer.valueOf(512));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(65), Integer.valueOf(65));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(66), Integer.valueOf(66));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(67), Integer.valueOf(67));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(68), Integer.valueOf(68));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(69), Integer.valueOf(69));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(70), Integer.valueOf(70));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(71), Integer.valueOf(71));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(72), Integer.valueOf(72));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(73), Integer.valueOf(73));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(74), Integer.valueOf(74));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(75), Integer.valueOf(75));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(76), Integer.valueOf(76));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(77), Integer.valueOf(77));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(78), Integer.valueOf(78));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(79), Integer.valueOf(79));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(80), Integer.valueOf(80));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(81), Integer.valueOf(81));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(82), Integer.valueOf(82));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(83), Integer.valueOf(83));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(84), Integer.valueOf(84));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(85), Integer.valueOf(85));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(86), Integer.valueOf(86));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(87), Integer.valueOf(87));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(88), Integer.valueOf(88));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(89), Integer.valueOf(89));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(90), Integer.valueOf(90));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(91), Integer.valueOf(91));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(92), Integer.valueOf(92));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(93), Integer.valueOf(93));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(94), Integer.valueOf(514));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(95), Integer.valueOf(523));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(96), Integer.valueOf(192));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(97), Integer.valueOf(65));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(98), Integer.valueOf(66));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(99), Integer.valueOf(67));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(100), Integer.valueOf(68));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(101), Integer.valueOf(69));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(102), Integer.valueOf(70));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(103), Integer.valueOf(71));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(104), Integer.valueOf(72));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(105), Integer.valueOf(73));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(106), Integer.valueOf(74));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(107), Integer.valueOf(75));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(108), Integer.valueOf(76));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(109), Integer.valueOf(77));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(110), Integer.valueOf(78));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(111), Integer.valueOf(79));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(112), Integer.valueOf(80));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(113), Integer.valueOf(81));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(114), Integer.valueOf(82));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(115), Integer.valueOf(83));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(116), Integer.valueOf(84));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(117), Integer.valueOf(85));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(118), Integer.valueOf(86));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(119), Integer.valueOf(87));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(120), Integer.valueOf(88));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(121), Integer.valueOf(89));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(122), Integer.valueOf(90));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(123), Integer.valueOf(161));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(125), Integer.valueOf(162));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(127), Integer.valueOf(127));
        ExtendedKeyCodes.regularKeyCodesMap.put(Integer.valueOf(161), Integer.valueOf(518));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777312));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777340));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777342));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777378));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777379));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777381));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777383));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777384));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777387));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777392));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777393));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777394));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777395));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777396));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777397));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777398));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777399));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777401));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777402));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777403));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777404));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777405));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777406));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777407));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777412));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777413));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777414));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777415));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777425));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777430));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777431));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777432));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777439));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777440));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777441));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777442));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777444));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777445));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777446));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777447));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777448));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777449));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777450));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777451));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777452));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777453));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777454));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777456));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777457));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777458));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777459));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777460));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777461));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777462));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777463));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777464));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777465));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777466));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777467));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777468));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777469));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777470));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777477));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777947));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777538));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777534));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777563));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777569));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777567));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777573));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777598));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777596));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777475));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777479));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777485));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777497));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777499));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777489));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777544));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777553));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777585));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777561));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777583));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777571));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777945));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777520));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777511));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777509));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777521));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777503));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777525));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777483));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777481));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777505));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777501));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777581));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777565));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777528));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777559));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777532));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777491));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777507));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777575));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777547));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777473));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777519));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777495));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777515));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777542));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777549));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777527));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777587));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777579));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777555));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789756));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789666));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789668));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789670));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789672));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789674));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789675));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789677));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789679));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789681));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789683));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789685));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789687));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789689));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789691));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789693));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789695));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789697));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789700));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789702));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789704));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789706));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789707));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789708));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789709));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789710));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789711));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789714));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789717));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789720));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789723));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789726));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789727));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789728));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789729));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789730));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789732));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789734));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789736));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789737));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789738));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789739));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789740));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789741));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789743));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789747));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789659));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16789660));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778992));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778993));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778994));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778995));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778996));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778997));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778998));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778999));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16779000));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16779001));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778864));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778878));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778886));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778764));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778964));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778848));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778849));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778850));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778851));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778852));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778853));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778854));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778855));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778856));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778857));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778779));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778785));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778788));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778790));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778791));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778792));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778793));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778794));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778795));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778796));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778797));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778798));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778799));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778800));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778801));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778802));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778803));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778804));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778805));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778806));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778807));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778808));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778809));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778810));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778817));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778818));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778819));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778820));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778821));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778822));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778823));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778824));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778825));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778826));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778830));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778831));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778832));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778834));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778904));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778916));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778921));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778927));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778942));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778956));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778956));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778962));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778387));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778391));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778395));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778397));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778403));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778415));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778417));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778419));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778425));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778427));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778457));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778473));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778322));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778323));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778321));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778324));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778325));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778326));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778327));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778328));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778329));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778330));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778331));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778332));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778385));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778334));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778335));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785686));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778318));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778288));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778289));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778310));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778292));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778293));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778308));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778291));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778309));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778296));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778297));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778298));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778299));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778300));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778301));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778302));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778303));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778319));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778304));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778305));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778306));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778307));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778294));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778290));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778316));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778315));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778295));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778312));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778317));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778313));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778311));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778314));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785429));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778161));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778162));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778163));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778164));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778165));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778166));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778167));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778168));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778169));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778170));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778171));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778172));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778173));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778174));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778175));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778176));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778177));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778179));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778178));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778180));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778181));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778182));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778183));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778184));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778185));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785808));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785810));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785811));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785427));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785436));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785437));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785438));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778704));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778705));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778706));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778707));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778708));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778709));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778710));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778711));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778712));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778713));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778714));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778715));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778716));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778717));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778718));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778719));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778720));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778721));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778722));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778723));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778724));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778725));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778726));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778727));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778728));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778729));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778730));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780801));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780802));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780803));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780804));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780805));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780807));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780808));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780810));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780812));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780820));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780821));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780822));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780823));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780825));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780826));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780827));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780828));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780829));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780830));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780831));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780832));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780833));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780834));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780835));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780837));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780839));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780842));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780843));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780845));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780848));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780849));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780850));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780851));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780852));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780853));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780854));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780855));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780856));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780857));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780863));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780864));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780865));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780867));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780868));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780869));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780870));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780871));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780872));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780873));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780880));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780881));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780882));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780883));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780884));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780885));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780886));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780887));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780888));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16780889));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778631));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778633));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778633));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778589));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778589));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778587));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778587));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778590));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778590));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778593));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778594));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778595));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778596));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778597));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778598));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778599));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778600));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778601));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778602));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778603));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778604));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778605));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778606));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778607));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778608));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778609));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778610));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778611));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778612));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778613));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778614));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778615));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778616));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778617));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778618));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778619));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778620));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778621));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778622));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778623));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778624));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778625));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778626));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778627));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778628));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778629));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16778630));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781520));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781521));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781522));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781523));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781524));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781525));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781526));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781527));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781528));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781529));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781530));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781531));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781532));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781533));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781534));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781535));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781536));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781537));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781538));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781539));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781540));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781541));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781542));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781543));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781544));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781545));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781546));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781547));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781548));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781549));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781550));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781551));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16781552));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777703));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777817));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785081));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785099));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785101));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785125));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777633));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16777648));
        ExtendedKeyCodes.extendedKeyCodesSet.add(Integer.valueOf(16785579));
    }
}
